unit uViewAlbaranesDevProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewAlbaranesProveedor, cxStyles, cxCustomData, cxGraphics,
  cxFilter, cxData, cxDataStorage, cxEdit, DB, cxDBData, cxImageComboBox,
  cxCurrencyEdit, dxPSGlbl, dxPSUtl, dxPSEngn, dxPrnPg, dxBkgnd, dxWrap,
  dxPrnDev, dxPSCompsProvider, dxPSFillPatterns, dxPSEdgePatterns, dxPgsDlg,
  dxPSCore, ImgList, PngImageList, ActnList, cxGridCustomPopupMenu,
  cxGridPopupMenu, dxPScxCommon, dxPScxGrid6Lnk, uDADataTable, TB2Item, TBX,
  TB2Toolbar, TBXDkPanels, TB2Dock, uViewFiltroBase, cxGridLevel,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, cxClasses,
  cxControls, cxGridCustomView, cxGrid, cxTextEdit,  
  uDAInterfaces, uCustomView, uViewBase;

type
  IViewAlbaranesDevProveedor = interface(IViewAlbaranesProveedor)
  ['{FB031921-EC00-402F-820D-2EFE0EBB8FCC}']
  end;

  TfrViewAlbaranesDevProveedor = class(TfrViewAlbaranesProveedor, IViewAlbaranesDevProveedor)
    procedure CustomViewCreate(Sender: TObject);
  end;

implementation
{$R *.dfm}

procedure TfrViewAlbaranesDevProveedor.CustomViewCreate(Sender: TObject);
begin
  inherited;
  with cxGridViewREF_PED_PROVEEDOR do
  begin
    Visible := False;
    VisibleForCustomization := False;
  end;

  with cxGridViewCALLE do
  begin
    Visible := False;
    VisibleForCustomization := False;
  end;

  with cxGridViewCODIGO_POSTAL do
  begin
    Visible := False;
    VisibleForCustomization := False;
  end;

  with cxGridViewPOBLACION do
  begin
    Visible := False;
    VisibleForCustomization := False;
  end;

  with cxGridViewPROVINCIA do
  begin
    Visible := False;
    VisibleForCustomization := False;
  end;
end;

end.
